Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## javax.faces.component.html
Enum HtmlSelectOneMenu.PropertyKeys

    java.lang.Object
      java.lang.Enum<HtmlSelectOneMenu.PropertyKeys>
          javax.faces.component.html.HtmlSelectOneMenu.PropertyKeys

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<HtmlSelectOneMenu.PropertyKeys>

Enclosing class:
  HtmlSelectOneMenu

    protected static enum HtmlSelectOneMenu.PropertyKeys

extends java.lang.Enum<HtmlSelectOneMenu.PropertyKeys>

Enum Constant Summary
`accesskey`
`dir`
`disabled`
`disabledClass`
`enabledClass`
`label`
`lang`
`onblur`
`onchange`
`onclick`
`ondblclick`
`onfocus`
`onkeydown`
`onkeypress`
`onkeyup`
`onmousedown`
`onmousemove`
`onmouseout`
`onmouseover`
`onmouseup`
`onselect`
`readonly`
`style`
`styleClass`
`tabindex`
`title`

Method Summary
`java.lang.String` | `toString()`
`static HtmlSelectOneMenu.PropertyKeys` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static HtmlSelectOneMenu.PropertyKeys[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### accesskey

    public static final HtmlSelectOneMenu.PropertyKeys accesskey

### dir

    public static final HtmlSelectOneMenu.PropertyKeys dir

### disabled

    public static final HtmlSelectOneMenu.PropertyKeys disabled

### disabledClass

    public static final HtmlSelectOneMenu.PropertyKeys disabledClass

### enabledClass

    public static final HtmlSelectOneMenu.PropertyKeys enabledClass

### label

    public static final HtmlSelectOneMenu.PropertyKeys label

### lang

    public static final HtmlSelectOneMenu.PropertyKeys lang

### onblur

    public static final HtmlSelectOneMenu.PropertyKeys onblur

### onchange

    public static final HtmlSelectOneMenu.PropertyKeys onchange

### onclick

    public static final HtmlSelectOneMenu.PropertyKeys onclick

### ondblclick

    public static final HtmlSelectOneMenu.PropertyKeys ondblclick

### onfocus

    public static final HtmlSelectOneMenu.PropertyKeys onfocus

### onkeydown

    public static final HtmlSelectOneMenu.PropertyKeys onkeydown

### onkeypress

    public static final HtmlSelectOneMenu.PropertyKeys onkeypress

### onkeyup

    public static final HtmlSelectOneMenu.PropertyKeys onkeyup

### onmousedown

    public static final HtmlSelectOneMenu.PropertyKeys onmousedown

### onmousemove

    public static final HtmlSelectOneMenu.PropertyKeys onmousemove

### onmouseout

    public static final HtmlSelectOneMenu.PropertyKeys onmouseout

### onmouseover

    public static final HtmlSelectOneMenu.PropertyKeys onmouseover

### onmouseup

    public static final HtmlSelectOneMenu.PropertyKeys onmouseup

### onselect

    public static final HtmlSelectOneMenu.PropertyKeys onselect

### readonly

    public static final HtmlSelectOneMenu.PropertyKeys readonly

### style

    public static final HtmlSelectOneMenu.PropertyKeys style

### styleClass

    public static final HtmlSelectOneMenu.PropertyKeys styleClass

### tabindex

    public static final HtmlSelectOneMenu.PropertyKeys tabindex

### title

    public static final HtmlSelectOneMenu.PropertyKeys title

Method Detail

### values

    public static HtmlSelectOneMenu.PropertyKeys[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (HtmlSelectOneMenu.PropertyKeys c : HtmlSelectOneMenu.PropertyKeys.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static HtmlSelectOneMenu.PropertyKeys valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Enum<HtmlSelectOneMenu.PropertyKeys>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright 2002-2010 Oracle America Inc, Inc. All Rights Reserved.